<?php

function cloudfw_admin_background_repeat_array() {

	$bg_repeat[] =  array(
		"item_title"	=> __('No-Repeat','cloudfw'),
		"item_value"	=> 'no-repeat'
	);
	
	$bg_repeat[] =  array(
		"item_title"	=> __('Repeat','cloudfw'),
		"item_value"	=> 'repeat'
	);
	
	$bg_repeat[] =  array(
		"item_title"	=> __('Repeated Only Along The X Axis','cloudfw'),
		"item_value"	=> 'repeat-x'
	);

	$bg_repeat[] =  array(
		"item_title"	=> __('Repeated Only Along The Y Axis','cloudfw'),
		"item_value"	=> 'repeat-y'
	);
	
	return $bg_repeat;
}


function cloudfw_admin_nivo_effects_array() {

	$slide_eff = array();
	$slide_eff[] = array('item_title' => 'Random', 'item_value' => 'random');
	$slide_eff[] = array('item_title' => 'Fade', 'item_value' => 'fade');
	$slide_eff[] = array('item_title' => 'sliceDown', 'item_value' => 'sliceDown');
	$slide_eff[] = array('item_title' => 'sliceUp', 'item_value' => 'sliceUp');
	$slide_eff[] = array('item_title' => 'sliceUpLeft', 'item_value' => 'sliceUpLeft');
	$slide_eff[] = array('item_title' => 'sliceUpDown', 'item_value' => 'sliceUpDown');
	$slide_eff[] = array('item_title' => 'sliceUpDownLeft', 'item_value' => 'sliceUpDownLeft');
	$slide_eff[] = array('item_title' => 'Fold', 'item_value' => 'fold');
	$slide_eff[] = array('item_title' => 'slideInRight', 'item_value' => 'slideInRight');
	$slide_eff[] = array('item_title' => 'slideInLeft', 'item_value' => 'slideInLeft');
	$slide_eff[] = array('item_title' => 'boxRandom', 'item_value' => 'boxRandom');
	$slide_eff[] = array('item_title' => 'boxRain', 'item_value' => 'boxRain');
	$slide_eff[] = array('item_title' => 'boxRainReverse', 'item_value' => 'boxRainReverse');
	$slide_eff[] = array('item_title' => 'boxRainGrow', 'item_value' => 'boxRainGrow');
	$slide_eff[] = array('item_title' => 'boxRainGrowReverse', 'item_value' => 'boxRainGrowReverse');
	return $slide_eff;
}

function cloudfw_admin_url_targets_array() {

	$url_targets = array();
	$url_targets[] = array('item_title' => 'Self', 'item_value' => '_self');
	$url_targets[] = array('item_title' => 'Blank', 'item_value' => '_blank');
	$url_targets[] = array('item_title' => 'Parent', 'item_value' => '_parent');
	$url_targets[] = array('item_title' => 'Top', 'item_value' => '_top');
	return $url_targets;
}

function cloudfw_admin_galleria_effects_array() {

	$slide_eff = array();
	$slide_eff[] = array('item_title' => 'Fade', 'item_value' => 'fade');
	$slide_eff[] = array('item_title' => 'Slide', 'item_value' => 'slide');
	$slide_eff[] = array('item_title' => 'Flash', 'item_value' => 'flash');
	$slide_eff[] = array('item_title' => 'Pulse', 'item_value' => 'pulse');
	$slide_eff[] = array('item_title' => 'Fade & Slide', 'item_value' => 'fadeslide');
	return $slide_eff;
}

function cloudfw_admin_piecemaker_type() {

	$types = array();
	$types[] = array('item_title' => 'Image', 'item_value' => 'image');
	$types[] = array('item_title' => 'Video', 'item_value' => 'video');
	$types[] = array('item_title' => 'Flash', 'item_value' => 'flash');
	return $types;
}
